var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

import { jsx as _jsx } from "react/jsx-runtime";

function Maximize(props) {
  return _jsx("svg", __assign({
    width: 48,
    height: 48,
    viewBox: "0 0 48 48",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props, {
    children: _jsx("path", {
      fillRule: "evenodd",
      clipRule: "evenodd",
      d: "M4 10a6 6 0 016-6h6a2 2 0 110 4h-6a2 2 0 00-2 2v6a2 2 0 11-4 0v-6zm26-4a2 2 0 012-2h6a6 6 0 016 6v6a2 2 0 11-4 0v-6a2 2 0 00-2-2h-6a2 2 0 01-2-2zM6 30a2 2 0 012 2v6a2 2 0 002 2h6a2 2 0 110 4h-6a6 6 0 01-6-6v-6a2 2 0 012-2zm36 0a2 2 0 012 2v6a6 6 0 01-6 6h-6a2 2 0 110-4h6a2 2 0 002-2v-6a2 2 0 012-2z",
      fill: "currentColor"
    }, void 0)
  }), void 0);
}

export var ReactComponent = Maximize;
export default Maximize;

